summaryrefslogtreecommitdiff
path: root/test-groff.in
diff options
context:
space:
mode:
Diffstat (limited to 'test-groff.in')
-rw-r--r--test-groff.in44
1 files changed, 44 insertions, 0 deletions
diff --git a/test-groff.in b/test-groff.in
new file mode 100644
index 00000000..9840cd5e
--- /dev/null
+++ b/test-groff.in
@@ -0,0 +1,44 @@
+#! /bin/sh
+# This script runs groff without requiring that it be installed.
+# The current directory must be the top build directory.
+
+SEP=@PATH_SEPARATOR@
+EXEEXT=@EXEEXT@
+builddir=./src
+srcdir=`echo $0 | sed -e 's;/[^/]*$;;'`
+
+if test ! -d $builddir/roff/groff || \
+ test ! -r $builddir/roff/groff/groff$EXEEXT; then
+ echo $0 must be run with the top build directory as the current directory 2>&1
+ exit 1
+fi
+
+GROFF_BIN_PATH=\
+$builddir/roff/groff$SEP\
+$builddir/roff/troff$SEP\
+$builddir/preproc/pic$SEP\
+$builddir/preproc/eqn$SEP\
+$builddir/preproc/tbl$SEP\
+$builddir/preproc/grn$SEP\
+$builddir/preproc/refer$SEP\
+$builddir/preproc/soelim$SEP\
+$builddir/preproc/html$SEP\
+$builddir/devices/grops$SEP\
+$builddir/devices/grodvi$SEP\
+$builddir/devices/grotty$SEP\
+$builddir/devices/grolj4$SEP\
+$builddir/devices/grolbp$SEP\
+$builddir/devices/grohtml$SEP\
+$srcdir/$builddir/xditview
+
+test -n "$srcdir" || srcdir=.
+
+XENVIRONMENT=`cd $srcdir; pwd`/src/xditview/GXditview.ad
+export XENVIRONMENT
+
+GROFF_COMMAND_PREFIX=
+GROFF_FONT_PATH=$builddir/../font$SEP$srcdir/font
+GROFF_TMAC_PATH=$srcdir/tmac
+export GROFF_BIN_PATH GROFF_COMMAND_PREFIX GROFF_FONT_PATH GROFF_TMAC_PATH
+
+exec $builddir/roff/groff/groff ${1+"$@"}